%define section free
%define resolverdir %{_sysconfdir}/java/resolver

Name:           xml-commons-resolver
Version:        1.1
Release:        3.1mdk
Epoch:          0
Summary:        Resolver subproject of xml-commons
License:        Apache License
URL:            http://xml.apache.org/commons/
Source0:        http://archive.apache.org/dist/xml/commons/xml-commons-resolver-1.1.tar.bz2
Source1:        %{name}-resolver.sh
Source2:        %{name}-xread.sh
Source3:        %{name}-xparse.sh
Source4:        %{name}-resolver.1
Source5:        %{name}-xread.1
Source6:        %{name}-xparse.1
Source7:        %{name}-CatalogManager.properties
Patch0:         %{name}-crosslink.patch.bz2
Requires:       jaxp_parser_impl
Requires:	xml-commons-apis
BuildRequires:  ant
BuildRequires:  jpackage-utils >= 0:1.5
BuildRequires:  java-javadoc
#BuildRequires:  %{_bindir}/xsltproc
#BuildRequires:  docbook-style-xsl
Group:          Development/Java
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
#Vendor:         JPackage Project
#Distribution:   JPackage

%description
Resolver subproject of xml-commons.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Java

%description javadoc
Javadoc for %{name}.


%prep
%setup -q
%patch0 -p0
# remove all binary libs and prebuilt javadocs
find . -name "*.jar" -exec rm -f {} \;
rm -rf docs


%build
perl -p -i -e 's|call Resolver|call resolver|g' resolver.xml
perl -p -i -e 's|classname="org.apache.xml.resolver.Catalog"|fork="yes" classname="org.apache.xml.resolver.apps.resolver"|g' resolver.xml
perl -p -i -e 's|org.apache.xml.resolver.Catalog|org.apache.xml.resolver.apps.resolver|g' src/manifest.resolver
#DOCBOOK_XSL=`rpm -ql docbook-style-xsl | grep /html/docbook.xsl \
#| sed 's#html/docbook.xsl##'`
#
#if [ -z $DOCBOOK_XSL ]; then
#  echo "Unable to find docbook xsl directory"
#  exit 1
#fi

#%ant -Ddocbook.dir=$DOCBOOK_XSL -f resolver.xml main
%ant -Dj2se.apidoc=%{_javadocdir}/java -f resolver.xml jar javadocs


%install
rm -rf $RPM_BUILD_ROOT

# Jars
mkdir -p $RPM_BUILD_ROOT%{_javadir}
cp build/resolver.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
ln -s %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

# Javadocs
mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pR build/apidocs/resolver/* \
  $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name}

# Scripts
mkdir -p $RPM_BUILD_ROOT%{_bindir}
perl -pe 's|__RESOLVERDIR__|%{resolverdir}|' < %{SOURCE1} \
  > $RPM_BUILD_ROOT%{_bindir}/xml-resolver
perl -pe 's|__RESOLVERDIR__|%{resolverdir}|' < %{SOURCE2} \
  > $RPM_BUILD_ROOT%{_bindir}/xml-xread
perl -pe 's|__RESOLVERDIR__|%{resolverdir}|' < %{SOURCE3} \
  > $RPM_BUILD_ROOT%{_bindir}/xml-xparse
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
perl -pe 's|__RESOLVERDIR__|%{resolverdir}|' < %{SOURCE4} \
  > $RPM_BUILD_ROOT%{_mandir}/man1/xml-resolver.1
perl -pe 's|__RESOLVERDIR__|%{resolverdir}|' < %{SOURCE5} \
  > $RPM_BUILD_ROOT%{_mandir}/man1/xml-xread.1
perl -pe 's|__RESOLVERDIR__|%{resolverdir}|' < %{SOURCE6} \
  > $RPM_BUILD_ROOT%{_mandir}/man1/xml-xparse.1

# Central CatalogManager.properties
mkdir -p $RPM_BUILD_ROOT%{resolverdir}
cp -p %{SOURCE7} $RPM_BUILD_ROOT%{resolverdir}/CatalogManager.properties

# fix end-of-line
%{__perl} -pi -e 's/\r\n/\n/g' KEYS LICENSE.resolver.txt

%clean
rm -rf $RPM_BUILD_ROOT


%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}


%files
%defattr(0644,root,root,0755)
%doc KEYS LICENSE.resolver.txt
%config(noreplace) %{resolverdir}
%{_javadir}/%{name}*.jar
%attr(0755,root,root) %{_bindir}/xml-*
%{_mandir}/man1/xml-*.1*

%files javadoc
%defattr(0644,root,root,0755)
%ghost %doc %{_javadocdir}/%{name}
%doc %{_javadocdir}/%{name}-%{version}


%changelog
* Sat May 07 2005 David Walluck <david@anti-microsoft.org> 0:1.1-3.1mdk
- release

* Thu Aug 26 2004 Ralph Apel <r.apel at r-apel.de> - 0:1.1-3jpp
- Build with ant-1.6.2

* Mon Jul 19 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:1.1-2jpp
- Install default %%{_sysconfdir}/java/resolver/CatalogManager.properties
  and use it in sample scripts.
- Add manual pages for scripts.
- Crosslink with local J2SE javadocs.
- Update source URL, other minor spec cleanups.

* Wed Jan 21 2004 David Walluck <david@anti-microsoft.org> 0:1.1-1jpp
- 1.1
- use perl instead of patch
- don't build docs (build fails)

* Tue May 06 2003 David Walluck <david@anti-microsoft.org> 0:1.0-2jpp
- update for JPackage 1.5

* Wed Nov 13 2002 Ville Skyttä <ville.skytta at iki.fi> - 1.0-1jpp
- Follow upstream changes, split out of xml-commons.

